# Maintainer util-linux@math.uio.no

Summary:	A collection of basic system utilities
Name:		util-linux
Version:	2.12r
%define subrel	3
Release:	%mkrel 8
License:	GPL
Group:		System/Base
URL:		ftp://ftp.kernel.org/pub/linux/utils/util-linux/
Source0:	ftp://ftp.kernel.org/pub/linux/utils/util-linux/%name-%{version}.tar.bz2
Source1:	util-linux-2.12r-login.pamd
Source2:	util-linux-2.12r-chfn.pamd
Source3:	util-linux-2.12r-chsh.pamd
Source6:	mkcramfs.c
Source7:	cramfs.h
Source8:	nologin.c
Source9:	nologin.8
Source10:	kbdrate.tar.bz2

BuildRequires:	gcc
BuildRequires:	sed
BuildRequires:	pam-devel
BuildRequires:	ncurses-devel
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
# Change default config to switch mandrake config
Patch0:		util-linux-2.12q-mdkconf.patch.bz2
# We don't want to compile chkdupexe
Patch1:		util-linux-2.11o-nochkdupexe.patch.bz2
# limit the length of gecos size (security problem)
Patch2:		util-linux-2.11a-gecossize.patch.bz2
# the group of the tty program is root (instead of tty)
Patch21:	util-linux-2.9v-nonroot.patch.bz2
# Make more use xstrncpy and be build always (we have TERMCAP)
Patch27:	util-linux-2.11t-moretc.patch.bz2
# s390 patches (only applied for s390)
Patch60:	util-linux-2.10s-s390x.patch.bz2
Patch61:	util-linux-2.11b-s390x.patch.bz2
# fdisk: use 16 partitions as maximun
# misc documentation fixes for man pages
Patch70:	util-linux-2.12q-miscfixes.patch.bz2
# Make fdisk work indeed if you don't have big disks support
# Patch81:	util-linux-2.11m-fdisk-fixes.patch.bz2
# lot of cleanups for mkcramfs
Patch100:	mkcramfs.patch.bz2
# Make mkcramfs quieter, use --verbose for old behaviour
Patch101:	mkcramfs-quiet.patch.bz2
#
########### START UNSUBMITTED

Patch105: util-linux-2.12q-varargs.patch.bz2
Patch106: util-linux-2.12q-swaponsymlink-57301.patch.bz2
Patch107: util-linux-2.11x-procpartitions-37436.patch.bz2
Patch109: util-linux-2.11f-rawman.patch.bz2 
Patch111: util-linux-2.11t-mkfsman.patch.bz2
Patch114: util-linux-2.11t-dumboctal.patch.bz2
Patch115: util-linux-2.12q-fix-ioctl.patch.bz2
Patch116: util-linux-2.12q-autodav.patch.bz2
Patch117: util-linux-2.12-kbdrate-period-fix.patch.bz2
# Patch118: util-linux-2.12-chfn-chsh-unckecked-return-error.patch.bz2
# Patch120: util-linux-2.11t-alpha-buildfix.patch.bz2
Patch121: util-linux-2.12q-compilation.patch.bz2
########### END UNSUBMITTED.

########

# Allow raw(8) to bind raw devices whose device nodes do not yet exist.
Patch160: raw-handle-nonpresent-devs.patch.bz2

# Mount patches
Patch201: util-linux-2.11m-nolock-docs.patch.bz2
Patch204: util-linux-2.12q-2gb.patch.bz2
Patch206: util-linux-2.11m-kudzu.patch.bz2
Patch207: util-linux-2.12q-swapon.patch.bz2
Patch209: util-linux-2.12q-swapoff.patch.bz2
Patch210: util-linux-2.12-largefile.patch.bz2
Patch211: util-linux-2.12q-user_label_umount.patch.bz2
Patch213: util-linux-2.12q-loop-AES-v3.0c.patch.bz2
Patch214: util-linux-2.12q-set-as-encrypted.patch.bz2
Patch215: util-linux-2.12q-swapon-skip-encrypted.patch.bz2
Patch216: util-linux-2.12q-nfsmount.patch.bz2
# Patch217: util-linux-2.11y-retryudp.patch.bz2
# remove mode= from udf mounts (architecture done so that more may come)
Patch218: util-linux-2.12q-mount-remove-silly-options-in-auto.patch.bz2

Patch219: util-linux-2.12-lower-LOOP_PASSWORD_MIN_LENGTH-for-AES.patch.bz2
# load cryptoloop and cypher modules when use cryptoapi
Patch220: util-linux-2.12a-cryptoapi-load-module.patch.bz2
# (fc) 2.12a-11mdk add support for pamconsole mount option (fedora)
patch221: util-linux-2.12q-pamconsole.patch.bz2
# (fc) 2.12a-11mdk add support for pamconsole mount option (fedora)
patch222: util-linux-2.12a-managed.patch.bz2
# nfs4 support (http://www.citi.umich.edu/projects/nfsv4/linux/util-linux-patches/2.12-3/)
patch223: util-linux-2.12q-nfs4.patch.bz2
# fortify fixes
Patch224: util-linux-2.12q-fortify.patch.bz2

# Mandrake Specific patches
# fix compilation related with miscfixes
Patch1000:	util-linux-2.11h-fix-compilation.patch.bz2
# clock program for ppc
Patch1200:	util-linux-2.10r-clock-1.1-ppc.patch.bz2
# leng options for clock-ppc
Patch1201:	util-linux-2.10s-clock-syntax-ppc.patch.bz2
# Added r & w options to chfn (lsb mandate)
Patch1202:	util-linux-2.11o-chfn-lsb-usergroups.patch.bz2
# fix build on alpha with newer kernel-headers
Patch1203:	util-linux-2.11m-cmos-alpha.patch.bz2
# Make mcookie using urandom first
# Patch1204:	util-linux-2.11m-mcookie-urandom.patch.bz2
# handle biarch struct utmp[x]
Patch1206:	util-linux-2.12a-biarch-utmp.patch.bz2
# do not hide users option in mtab
Patch1207:	util-linux-2.12a-users.patch.bz2
# use glibc syscall() to use syscalls, ban use of <asm/unistd.h>
Patch1208:	util-linux-2.12q-llseek-syscall.patch.bz2
# sfdisk warnings must not be on stdout, otherwise they get in the way when restoring
# Patch1209:      util-linux-2.12a-sfdisk-warning.patch.bz2
# Try to detect if the cdrom we have is a cd-extra (track audio and later track data) not
Patch1210:	util-linux-2.12q-mount_guess_fs_cdextra.patch.bz2
# (blino) don't fail when using labels and -e option
Patch1211: 	util-linux-2.12r-label.patch.bz2
# (peroyvind) fixes for sparc
Patch1212:	util-linux-2.12r-sparc-fixes.patch

# Mandrakemove patches
Patch1300: 	util-linux-2.12q-losetup-try-LOOP_CHANGE_FD-when-loop-already-busy.patch.bz2
Patch1301: 	util-linux-2.12-losetup-gzloop.patch.bz2
Patch1302:	util-linux-2.12r-CVE-2007-0822.patch
Patch1303:	util-linux-2.12a-CVE-2006-7108.patch
Patch1304:	util-linux-git-CVE-2007-5191.patch

Obsoletes:	fdisk tunelp
provides: fdisk, tunelp
%ifarch alpha %{sunsparc} ppc
Obsoletes:	clock
%endif
# (Dadou) Stupid, noarch is specified. Uncomment if you put something
#%ifarch
Conflicts:	initscripts <= 4.58, timeconfig <= 3.0.1
#%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	pam >= 0.66-4, shadow-utils >= 4.0.3
Requires(pre):	mktemp /bin/awk /usr/bin/cmp coreutils
Requires(post):	info-install
Requires(preun):	info-install
%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux contains the fdisk configuration tool and the
login program.

%package -n mount
Summary: Programs for mounting and unmounting filesystems
Group: System/Base

%description -n mount
The mount package contains the mount, umount, swapon and swapoff
programs.  Accessible files on your system are arranged in one big
tree or hierarchy.  These files can be spread out over several
devices. The mount command attaches a filesystem on some device to
your system's file tree.  The umount command detaches a filesystem
from the tree.  Swapon and swapoff, respectively, specify and disable
devices and files for paging and swapping.

%package -n losetup
Summary: Programs for setting up and configuring loopback devices
Group: System/Configuration/Networking

%description -n losetup
Linux supports a special block device called the loop device, which
maps a normal file onto a virtual block device.  This allows for the
file to be used as a "virtual file system" inside another file.
Losetup is used to associate loop devices with regular files or block
devices, to detach loop devices and to query the status of a loop
device.

%prep

%setup -q -a 10 -n %name-%{version}

%patch0 -p1 -b .rhconfig
%patch1 -p1 -b .nochkdupexe
%patch2 -p1 -b .gecos

%patch21 -p1 -b .nonroot

%patch27 -p1 -b .moretc

%ifarch s390 s390x
%patch60 -p1 -b .s390x2
%patch61 -p1 -b .s390x
%endif
%patch70 -p1 -b .miscfixes
#%patch81 -p1 -b .fdisk

# mkcramfs
cp %{SOURCE7} %{SOURCE6} .
%patch100 -p1 -b .mkcramfs
%patch101 -p1 -b .quiet

# nologin
cp %{SOURCE8} %{SOURCE9} .
 
%ifarch ppc
%patch1200 -p0
%patch1201 -p1
%endif

%patch1000 -p1 -b .fixes

#LSB (sb)
%patch1202 -p1

#fix build on alpha with newer kernel-headers
%ifarch alpha
%patch1203 -p1
%endif

#%patch1204 -p1
%patch1206 -p1 -b .biarch-utmp
%patch1207 -p1 -b .users
%patch1208 -p1 -b .llseek-syscall
# %patch1209 -p1 useless now

%patch160 -p1

# mount patches
%patch201 -p1 -b .docbug
%patch204 -p1 -b .2gb
%patch206 -p1 -b .kudzu
%patch207 -p1 -b .swapon
%patch209 -p1 -b .swapoff
%patch210 -p1 -b .largefile
%patch211 -p1 -b .userumount
%patch213 -p1 -b .loopAES
%patch214 -p1 -b .encrypted
%patch215 -p1 -b .swapon-encrypted
%patch223 -p1 -b .nfs4
%patch216 -p1 -b .nfsmount
# %patch217 -p1 -b .retryudp
%patch218 -p1 -b .silly
%patch219 -p1 -b .loopAES-password
%patch220 -p1 -b .load-module

%patch221 -p1 -b .pamconsole
%patch222 -p1 -b .managed
%patch224 -p1 -b .fortify

%patch105 -p1 -b .varargs
%patch106 -p1 -b .swaponsymlink
%patch107 -p1 -b .procpartitions
%patch109 -p1 -b .rawman
%patch111 -p1 -b .mkfsman
                                                               
# Third time's the charm
#%patch113 -p1 -b .ctty3
%patch114 -p1 -b .dumboctal
%patch115 -p1 -b .fix-ioctl
%patch116 -p1 -b .autodav
%patch117 -p1 -b .kbdrate
# %patch118 -p1 -b .unchecked-return-error useless now
#%patch120 -p1 -b .alpha-buildfix
%patch121 -p1 -b .comp

%patch1300 -p1 -b .CHANGE-FD
%patch1301 -p1 -b .gzloop

%patch1210 -p1 -b .cdextra
%patch1211 -p1 -b .label
%patch1212 -p1 -b .sparc

%patch1302 -p1 -b .cve-2007-0822
%patch1303 -p1 -b .cve-2006-7108
%patch1304 -p1 -b .cve-2007-5191

# USRLIB_DIR is %_libdir
perl -pi -e "s|(USRLIB_DIR)\s*=\s*(.*)|\1=%{_libdir}|" ./MCONFIG

%build
unset LINGUAS || :

%configure
make "OPT=$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE" \
	HAVE_PIVOT_ROOT=yes \
	%{?_smp_mflags}
make CFLAGS="$RPM_OPT_FLAGS" -C partx %{?_smp_mflags}

cd rescuept
cc $RPM_OPT_FLAGS -o rescuept rescuept.c
cd ..

%ifnarch s390 s390x
pushd kbdrate
    cc $RPM_OPT_FLAGS -o kbdrate kbdrate.c
popd
%endif

gcc $RPM_OPT_FLAGS -o mkcramfs mkcramfs.c -I. -lz

gcc $RPM_OPT_FLAGS -o nologin nologin.c

%ifarch ppc
gcc clock-ppc.c -o clock-ppc
%endif

pushd sys-utils
    makeinfo --number-sections ipc.texi
popd

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,6,8,5}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps}

make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%buildroot/%{_mandir} INFODIR=%buildroot/%{_infodir}

install -m 755 mount/pivot_root ${RPM_BUILD_ROOT}/sbin
install -m 644 mount/pivot_root.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 755 rescuept/rescuept ${RPM_BUILD_ROOT}/sbin
ln -f rescuept/README rescuept/README.rescuept
install -m 755 mkcramfs ${RPM_BUILD_ROOT}/usr/bin
install -m 755 nologin ${RPM_BUILD_ROOT}/sbin
install -m 644 nologin.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
%ifnarch s390 s390x
install -m 755 kbdrate/kbdrate ${RPM_BUILD_ROOT}/sbin
install -m 644 kbdrate/kbdrate.8 nologin.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
%endif
echo '.so man8/raw.8' > $RPM_BUILD_ROOT%{_mandir}/man8/rawdevices.8

install -m 755 partx/{addpart,delpart,partx} $RPM_BUILD_ROOT/sbin

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1

%ifarch %{sunsparc}
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
cat << E-O-F > ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
#!/bin/sh
# this should be %{_bindir}/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .  
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
%endif

#gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info

%ifnarch s390 s390x
install -m644 kbdrate/kbdrate.apps $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/kbdrate
install -m644 kbdrate/kbdrate.pam $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/kbdrate
%endif
pushd $RPM_BUILD_ROOT%_sysconfdir/pam.d
  install -m 644 %SOURCE1 login
  install -m 644 %SOURCE2 chfn
  install -m 644 %SOURCE3 chsh
popd

# We do not want dependencies on csh
chmod 644 $RPM_BUILD_ROOT%_datadir/misc/getopt/*

# This has dependencies on stuff in /usr
%ifnarch %{sunsparc}
mv $RPM_BUILD_ROOT{/sbin/,/usr/sbin}/cfdisk
%endif

%ifarch ppc
cp -f $RPM_BUILD_DIR/%name-%version/clock-ppc $RPM_BUILD_ROOT/sbin/clock-ppc
mv $RPM_BUILD_ROOT/sbin/hwclock $RPM_BUILD_ROOT/sbin/clock-rs6k
ln -sf clock-rs6k $RPM_BUILD_ROOT/sbin/hwclock
%endif
ln -sf ../../sbin/hwclock $RPM_BUILD_ROOT/usr/sbin/hwclock
ln -sf ../../sbin/clock $RPM_BUILD_ROOT/usr/sbin/clock
ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock

# move flock in /bin, required for udev
# logger is useful in initscripts while /usr isn't mounted as well
for p in flock logger; do
	mv $RPM_BUILD_ROOT{%{_bindir},/bin}/$p
	ln -sf ../../bin/$p $RPM_BUILD_ROOT%{_bindir}/$p
done

# remove stuff we don't want
rm -f $RPM_BUILD_ROOT%_mandir/man1/{line,newgrp,pg}.1*
rm -f $RPM_BUILD_ROOT%_bindir/{line,newgrp,pg}
rm -f $RPM_BUILD_ROOT/sbin/sln

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info ipc.info
%ifarch ppc
ISCHRP=`grep CHRP /proc/cpuinfo`
if [ -z "$ISCHRP" ]; then
  ln -sf /sbin/clock-ppc /sbin/hwclock
fi
%endif

%preun
%_remove_install_info ipc.info

%files -f %name.lang
%defattr(-,root,root)
%doc */README.* HISTORY

/bin/arch
/bin/dmesg
/bin/kill
%attr(755,root,root)	/bin/login
/bin/more

%config(noreplace) %_sysconfdir/fdprm
%config(noreplace) %_sysconfdir/pam.d/chfn
%config(noreplace) %_sysconfdir/pam.d/chsh
%config(noreplace) %_sysconfdir/pam.d/login

/sbin/agetty
/sbin/blockdev
/sbin/pivot_root
%ifnarch s390 s390x
/sbin/clock
%{_sbindir}/clock
%endif
/sbin/ctrlaltdel
/sbin/elvtune
/sbin/fdisk
/sbin/addpart
/sbin/delpart
/sbin/partx

%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc %{sunsparc}
/sbin/fsck.minix
/sbin/mkfs.minix
/sbin/mkfs.bfs
/sbin/fsck.cramfs
/sbin/mkfs.cramfs
%_mandir/man8/fsck.minix.8*
%_mandir/man8/mkfs.minix.8*
%_mandir/man8/mkfs.bfs.8*
%endif

%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc
/sbin/sfdisk

%_mandir/man8/sfdisk.8*
%doc fdisk/sfdisk.examples
%endif

%ifnarch s390 s390x
/sbin/hwclock
/usr/sbin/hwclock
%endif
%ifarch ppc
/sbin/clock-ppc
/sbin/clock-rs6k
%endif
/sbin/mkfs
/sbin/mkswap
#/sbin/mkfs.bfs
/sbin/rescuept
#/sbin/sln
/sbin/nologin
%_mandir/man8/nologin.8*
# Begin kbdrate stuff
%ifnarch s390 s390x
/sbin/kbdrate
#/usr/bin/kbdrate
%_mandir/man8/kbdrate.8*
%config(noreplace) %_sysconfdir/pam.d/kbdrate
%config(noreplace) %_sysconfdir/security/console.apps/kbdrate
%endif

%_bindir/cal
%attr(4711,root,root)	%_bindir/chfn
%attr(4711,root,root)	%_bindir/chsh
%_bindir/col
%_bindir/colcrt
%_bindir/colrm
%_bindir/column
%ifarch %ix86 alpha armv4l ppc %{sunsparc} x86_64
%_bindir/cytune
%_mandir/man8/cytune.8*
%endif
%_bindir/ddate
%_bindir/fdformat
/bin/flock
%_bindir/flock
%_bindir/getopt
%_bindir/hexdump
%_bindir/ipcrm
%_bindir/ipcs
%_bindir/isosize
%_mandir/man8/isosize.8*
/bin/logger
%_bindir/logger
%_bindir/look
%_bindir/mcookie
%_bindir/mkcramfs
%_bindir/namei
%_bindir/raw
%_bindir/rename
%_bindir/renice
%_bindir/rev
%_bindir/script
%_bindir/setfdprm
%_bindir/setsid
%_bindir/setterm
%ifarch %{sunsparc}
%_bindir/sunhostid
%endif
#%_bindir/tsort
%_bindir/tailf
%_bindir/ul
%_bindir/whereis
%attr(2755,root,tty)	%_bindir/write

%ifnarch %{sunsparc}
%_sbindir/cfdisk
%_mandir/man8/cfdisk.8*
%endif

%ifarch %ix86
%_sbindir/rdev
%_sbindir/ramsize
%_sbindir/rootflags
%_sbindir/vidmode
%_mandir/man8/rdev.8*
%_mandir/man8/ramsize.8*
%_mandir/man8/rootflags.8*
%_mandir/man8/vidmode.8*
%endif
%_sbindir/readprofile
%ifnarch s390
%_sbindir/tunelp
%endif
%_sbindir/vipw
%_sbindir/vigr

%_infodir/ipc.info*

%_mandir/man1/arch.1*
%_mandir/man1/cal.1*
%_mandir/man1/chfn.1*
%_mandir/man1/chsh.1*
%_mandir/man1/col.1*
%_mandir/man1/colcrt.1*
%_mandir/man1/colrm.1*
%_mandir/man1/column.1*
%_mandir/man1/ddate.1*
%_mandir/man1/flock.1*
%_mandir/man1/getopt.1*
%_mandir/man1/hexdump.1*
#%_mandir/man1/hostid.1*
%_mandir/man1/kill.1*
%_mandir/man1/logger.1*
%_mandir/man1/login.1*
%_mandir/man1/look.1*
%_mandir/man1/mcookie.1*
%_mandir/man1/more.1*
%_mandir/man1/namei.1*
%_mandir/man1/readprofile.1*
%_mandir/man1/rename.1*
%_mandir/man1/rev.1*
%_mandir/man1/script.1*
%_mandir/man1/setterm.1*
#%_mandir/man1/tsort.1*
%_mandir/man1/tailf.1*
%_mandir/man1/ul.1*
%_mandir/man1/whereis.1*
%_mandir/man1/write.1*

%_mandir/man8/agetty.8*
%_mandir/man8/blockdev.8*
%_mandir/man8/ctrlaltdel.8*
%_mandir/man8/dmesg.8*
%_mandir/man8/elvtune.8*
%_mandir/man8/fdformat.8*
%_mandir/man8/fdisk.8*
%ifnarch s390 s390x
%_mandir/man8/hwclock.8*
%endif
%_mandir/man8/ipcrm.8*
%_mandir/man8/ipcs.8*
%_mandir/man8/mkfs.8*
#%_mandir/man8/mkfs.bfs.8*
%_mandir/man8/mkswap.8*
%_mandir/man8/pivot_root.8*
%_mandir/man8/raw.8*
%_mandir/man8/rawdevices.8*
%_mandir/man8/renice.8*
%_mandir/man8/setfdprm.8*
%_mandir/man8/setsid.8*
# XXX this man page should be moved to glibc.
%_mandir/man8/sln.8*
%_mandir/man8/tunelp.8*
%_mandir/man8/vigr.8*
%_mandir/man8/vipw.8*

%_datadir/misc/getopt

%files -n mount
%defattr(-,root,root)
%doc mount/README.mount
%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
/sbin/swapon
/sbin/swapoff
%_mandir/man5/fstab.5*
%_mandir/man5/nfs.5*
%_mandir/man8/mount.8*
%_mandir/man8/swapoff.8*
%_mandir/man8/swapon.8*
%_mandir/man8/umount.8*

%files -n losetup
%defattr(-,root,root)
%_mandir/man8/losetup.8*
/sbin/losetup

%changelog
* Thu Oct 11 2007 Vincent Danen <vdanen@mandriva.com>  2.12r-8.3mdv2007.0
- P1304: security fix for CVE-2007-5191

* Thu May 31 2007 Gustavo De Nardin <gustavodn@mandriva.com>  2.12r-8.2mdv2007.0
- P1303: security fix for CVE-2006-7108

* Thu Mar 01 2007 Stew Benedict <sbenedict@mandriva.com>  2.12r-8.1mdv2007.0
- P1302: security fix for CVE-2007-0822

* Thu Jun 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.12r-8mdv2007.0
- fix sparc build (P1212)
- use %%{sunsparc} macro
- no sfdisk & cfdisk on sparc
- fix prereq-use
- add requires on info-install and use it at correct time (%%preun in stead of %%postun)
- fix macro-in-%%changelog

* Fri Jun 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12r-7mdv2007.0
- Update patch218 to refresh non handled options list for various fs (Mdv bug #23264)
- Remove patch 225, merged into patch 218

* Tue May 23 2006 Olivier Blin <oblin@mandriva.com> 2.12r-6mdk
- move logger in /bin, for initscripts

* Thu Apr  6 2006 Olivier Blin <oblin@mandriva.com> 2.12r-5mdk
- move flock in /bin, required for udev

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 2.12r-4mdk
- use "include" directive instead of deprecated pam_stack in pam.d
  configuration files (and strip modules path)
- use URL of an up-to-date mirror

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.12r-3mdk
- drop selinux support

* Mon Dec 26 2005 Olivier Blin <oblin@mandriva.com> 2.12r-2mdk
- Patch1211: don't fail in "swapon -a" when using labels and -e option

* Fri Oct  7 2005 Olivier Blin <oblin@mandriva.com> 2.12r-1mdk
- 2.12r
- remove Patch1400 (merged upstream)

* Tue Sep 20 2005 Olivier Blin <oblin@mandriva.com> 2.12q-7mdk
- Patch1400 (Vincent Danen): security fix for CAN-2005-2876
  (don't allow umount -r when not root)

* Sun Sep 18 2005 Olivier Blin <oblin@mandriva.com> 2.12q-6mdk
- Patch218:
  o really ignore utf8 option if fs doesn't handle it
  o udf do support utf8
  o allow to remove conflicting options
    (for example utf8 if fs is udf and iocharset is specified)

* Fri Aug 26 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.12q-5mdk
- fortify fixes
- honor "mode=" for devpts filesystems (#16269, LSB, Stew)

* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.12q-4mdk
- varargs fixes

* Thu May 12 2005 Olivier Blin <oblin@mandriva.com> 2.12q-3mdk
- only keep utf8 option for iso9660, ntfs and vfat (update patch 218)

* Wed May  4 2005 Arnaud Patard <apatard@mandriva.com> 2.12q-2mdk
- Fix a patch that was badly applying. This was causing in a double close in 
  some cases.

* Fri Apr 29 2005 Arnaud Patard <apatard@mandriva.com> 2.12q-1mdk
- New upstream version
- Rediff patches : 0,106,115,116,121,204,207,209,211,214,215,221,1208,1300
- Updated patch : 213
- Drop the limitation on partition number. This one was preventing to have more
  than 16 partitions on ide devices.
- Added a patch for guessing if a cd is a cd-extra or not.
- Updated nfs mount version to the kernel version
- Dropped the retryudp patch as the mount program relies now on the portmap informations

* Fri Mar  4 2005 Pixel <pixel@mandrakesoft.com> 2.12a-12mdk
- sfdisk warnings must not be on stdout, otherwise they get in the way when restoring

* Mon Feb 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.12a-11mdk 
- Patch221 (Fedora): add support for "pamconsole"
- Patch222 (Fedora): add support for "managed"

* Fri Jan 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.12a-10mdk
- use glibc syscall() to use syscalls, ban use of <asm/unistd.h>

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.12a-9mdk
- patch 160: fix raw devices with udev (#11511)

* Sat Jan  8 2005 Olivier Blin <blino@mandrake.org> 2.12a-8mdk
- fix patch128, codepage option isn't supported by udf

* Wed Jan  5 2005 Pixel <pixel@mandrakesoft.com> 2.12a-7mdk
- in patch218: remove the realloc which causes some bug (on non malloc'ed pointers?)

* Tue Jan  4 2005 Pixel <pixel@mandrakesoft.com> 2.12a-6mdk
- rework Patch218: instead of black listing some options for some fs types,
  white list them
- fix Summary for losetup and mount (as requested by rpmlint)

* Thu Sep 16 2004 Olivier Blin <blino@mandrake.org> 2.12a-5mdk
- update Patch218: remove codepage option for udf
  (to be able to mount udf with magicdev)

* Tue Sep  7 2004 Olivier Blin <blino@mandrake.org> 2.12a-4mdk
- Patch1207: do not hide users option in mtab
  (so that kde can recognize partitions it can unmount)

* Thu Sep  2 2004 Olivier Blin <blino@mandrake.org> 2.12a-3mdk
- remove more silly options when mounting in "auto" fstype :
  codepage, iocharset and umask options can't be used with ext2 and ext3
  (useful to be able to mount fat and ext2/ext3 usb keys with the same options)
- Patch121: fix compilation issues

* Mon Jul 26 2004 Pixel <pixel@mandrakesoft.com> 2.12a-2mdk
- rebuild for new slang (as requested by Marcel Pol)

* Mon Jul 19 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.12a-1mdk
- 2.12a.
- enable selinux option.
- load cryptoapi and cypher modules when use cryptoapi (220).

* Thu Jul 15 2004 Pixel <pixel@mandrakesoft.com> 2.12-7mdk
- fix unstripped-binary-or-object and non-standard-executable-perm for /sbin/{addpart,delpart,kbdrate,partx}

* Thu Jul 15 2004 Pixel <pixel@mandrakesoft.com> 2.12-5mdk
- add Mandrakemove losetup patches:
  - try LOOP_CHANGE_FD when loop already busy
  - handle gzloop pseudo encryption

* Thu Jul 15 2004 Pixel <pixel@mandrakesoft.com> 2.12-4mdk
- change LOOP_PASSWORD_MIN_LENGTH from 20 to 3
(drakloop and diskdrake will ensure 6 or maybe 8 long passwords, but 20 is much too long)

* Fri Apr 23 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.12-3mdk
- chfn/chsh unckecked pam return error (vdanen).

* Fri Jan 30 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.12-2mdk
- fix shadow-utils requires version (#284)

* Fri Jan 30 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.12-1mdk
- new release (tv)
- rediff patches 210, 211 (tv)
- loop AES 2.0e
- 215 206
- kbrate period patch

* Thu Dec 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.12-0.1mdk
- new release
- remove patch 1205 (merged upstream)
- rediff patch 116

* Wed Nov 12 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.11z-9mdk
- rebuild

* Thu Oct 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11z-8mdk
- rebuild for pam

* Thu Aug 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.11z-7mdk
- fix segfault in my patch of 2.11z-6mdk, /me sux

* Tue Aug 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.11z-6mdk
- mount-remove-silly-options-in-auto, removes mode= from udf mounts in
  "auto" fstype, so that we can put mode=0644 in /etc/fstab for cd/dvd
  drives, and don't end up with a silly udf.c kernel driver bailing out
  because it doesn't know about this option

* Wed Jul 30 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.11z-5mdk
- BuildRequires: termcap-devel

* Tue Jun 26 2003  <nplanel@mandrakesoft.com> 2.11z-4mdk
- fix x86_64 build: add "cytune" files (unpackaged files) (Stefan van der Eijk)
- include multi hostname and udp retry patch (David Black)

* Fri May 23 2003 Per ?yvind Karlsen <peroyvind@sintrax.net> 2.11z-3mdk
- fixed %%ifarch sparc sparc64 sparcv9 in %%files.

* Wed Apr 30 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.11z-2mdk
- fixed %%ifarch ppc in %%files.

* Mon Apr 14 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.11z-1mdk
- 2.11z.
- Remove locales_fr fixes (merged).
- Remove 216.

* Mon Apr  7 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.11x-4mdk
- Patch1206: Handle biarch struct utmp[x]

* Tue Jan 28 2003 Vincent Danen <vdanen@mandrakesoft.com> 2.11x-3mdk
- don't apply P1204; we want mcookie to use /dev/random instead of
  /dev/urandom
- P216: fix errno handling in pivot_root (thanks Chmou)
- unpackaged files fixes... now we include isosize and cramfs stuff and
  remove some other useless crud (/Chmou salvation)

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11x-2mdk
- requires s/(file|text)utils/coreutils/

* Wed Nov 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11x-1mdk
- new release
- add HISTORY to doc
- rediff patches 1205, 214 & 107
- remove patches 212 & 220 (merged upstream)
- patch 207 : drop ifexist support (merged upstream)

* Wed Nov  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.11w-2mdk
- rs6000 uses normal x86 style hwclock, provide both, adapt in %%post

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11w-1mdk
- new release

* Wed Oct  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.11u-2mdk
- Update Patch1205 (x86_64): Fix mcookie crash. Also, lseek() is
  64-bit and available there.

* Tue Sep 03 2002 Fran?ois Pons <fpons@mandrakesoft.com> 2.11u-1mdk
- updated patch 212, removed patch 120.
- created patch 220 to fix --help and device on command line.
- 2.11u.

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.11t-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Wed Jul 31 2002 Nicolas Planel <nplanel@mandrakesoft.com> 2.11t-3mdk
- Fix davfs detection
- Remove unapplied patches from SRPM: 35 (loginpath), 108 (autosmb)
  115 (fstabperm)

* Wed Jul 31 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.11t-2mdk
- Fix alpha hwclock build (patch 120)
- Remove unapplied patches from SRPM: 110 (skipraid), 202 (nfsman)

* Wed Jul 29 2002 Nicolas Planel <nplanel@mandrakesoft.com> 2.11t-1mdk
- new release
- add autodetection of davfs  
- remove P35 (loginpath), P202 (nfsman), P108 (autosmb), P110 (skipraid)
- remove P115 (fstabperm)
- rediff P207 (swapon), P209 (swapoff), P212 (netdev), P111 (mkfsman)
- rediff P114 (dumboctal)

* Wed Jul 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.11r-3mdk
- USRLIB_DIR is %%_libdir

* Thu Jun 20 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.11r-2mdk
- patch213: allow -p as a legal option.

* Wed May 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11r-1mdk
- new release
- remove patches 104, 1205 (merged upstream)
- rediff patch 70
- gcc-3.1 build

* Thu Apr 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11q-2mdk
- make it --short-circuit aware
- remove useless use of subshells
- spec cleanups
- remove bogus bits from util-linux-2.11q-miscfixes.patch as recommended
  by Andries Brouwer (upstream maintainer)
- don't use install -s in order to strip binaries since spec-helper
  will do that very job
- resync with rh-2.11o-12 (patch115 from ejb@ql.org)

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11q-1mdk
- new release
- fix zoneinfo location in man page [Patch1205]
- regenerate patches 107, 110
- remove merged patches: 112
- remove patches when better fix merged upstream: 80
- disable 81 (conflicts with maintream changes for better geometry detection)

* Wed Apr 03 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11o-1mdk
- new release
- fix Url typo
- remove Patch1000 (merged upstream)
- add alternative url
- resync with rh; to ease future resync, keep the same patche numbers
  as rh, move mdk patches above 1000, ...
- add BuildRequires: sed
- add rawdevices(8) manpage
- add addpart, delpart, partx
- don't apply rh patch113
- pivot_root.8 doesn't need to be executable...
- remove uneeded mkdir

* Tue Feb 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11n-4mdk
- disk-utils/raw.c: if we cannot open /dev/rawctl, try /dev/raw/rawctl

* Thu Feb 14 2002 Stefan van der Eijk <stefan@eijk.nu> 2.11n-3mdk
- BuildRequires

* Sun Feb 10 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.11n-2mdk
- Drop Patch300 (alphahack)

* Fri Feb  8 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.11n-1mdk
- Version 2.11n.
- Update Patch70 (miscfixes), remove mount/pivot_root.c change,
  better change merged upstream.
- Make Patch300 (alphahack) alpha-only.  It's broken, deal with it later.

* Tue Jan 15 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11m-7mdk
- Make swapon -a skip encrypted.
- Make mcookie using /dev/urandom to generate random number.

* Tue Jan 15 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11m-6mdk
- Add encyrpted option for loop-AES.

* Wed Dec 26 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.11m-5mdk
- replace newgrp command with version from shadow package for LSB

* Fri Dec  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.11m-4mdk
- Patch203 (alpha only): fix build on alpha with newer kernel-headers

* Fri Nov 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.11m-3mdk
- added loopAES 1.4h support (P313).

* Sat Nov 17 2001 Juan Quintela <quintela@mandrakesoft.com> 2.11m-2mdk
- merge with mount-2.11g-5 redhat package.
- audited all the patches.
- merge mount & util-linux packages.
- clean install-info.
- removed unused test of the kind (if x != x) do at install time.
- merge with util-linux-2.11f-16 from rh.
- fix fdisk in not big disks (P81) from rh.
- fix pwent race in login (P80) from rh.
- removed p75. Included in P80.
- removed patch9 (integrated upstream).
- removed patch8 (nomount).
- remove patch3 (nomount unused anyways).
- add URL tag.

* Fri Nov 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11m-1mdk
- 2.11m.

* Thu Oct 04 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11j-2mdk
- readd cfdisk

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11j-1mdk
- Fix rpmlint's.
- Include arch manpages.
- 2.11j.
- Get the rh patch to don't setsid on login instead of my.
- Upgrade kbdrate to the one of kbd package.

* Thu Sep  6 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.11h-3mdk
- add additional switches to chfn for LSB usrgroups test
- /usr/sbin/hwclock link on PPC too

* Wed Aug 29 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.11h-2mdk
- put again the patch to fixed 'cal' program to properly display columns
  for i18n'ed names in multibyte locales (eg, in utf-8)

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11h-1mdk
- Add pivot_root.
- Silly compilation fixes with newer glibc.
- 2.11h.
- Merges rh patches.

* Wed Jul 18 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.11f-1mdk
- use fix vipw to not create world-readable shadow files from rh
- 2.11f

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.11e-2mdk
- BuildRequires:	zlib-devel

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11e-1mdk
- 2.11e.
- Really fix the login.c to don't do setsid (thanks dbg by Andrej
  Borsenkow <arvidjaar@mail.ru>).

* Wed Jun  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11d-2mdk
- Revert login.c to 2.10d version.

* Tue Jun  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11d-1mdk
- 2.11d.

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11c-2mdk
- Fix rpmlint errors.

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11c-1mdk
- Clean-Up specs.
- Merge with rh patches.
- 2.11c (add kbdrate from kbd pacakge here).

* Tue May 15 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.10s-4mdk
- Adapt clock-ppc syntax to accept hwclock parameters

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10s-3mdk
- Fix look to search words in /usr/share/dict (#2096).

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10s-2mdk
- Recompile again the last glibc-devel to have the PATH_VI defined to
  /bin/vi.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10s-1mdk
- BuildRequires: slang-devel.
- 2.10s.

* Tue Jan 23 2001 Francis Galiegue <fg@mandrakesoft.com> 2.10r-5mdk
- Removed all that usermode crap - we don't want X in basesystem

* Tue Jan 16 2001 David BAUDENS <baudens@mandrakesoft.com> 2.10r-4mdk
- PPC: fix build with Linux 2.4

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.10r-3mdk
- BuildRequires: pam-devel
- Requires: usermode

* Wed Dec 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10r-2mdk
- in french, "partition number" translation should be "num?ro de partition" and
  not "nombre de partition" (Jacques Stephant)

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10r-1mdk
- Remove vipath patch since not really usefull for mandrake (we set always a /bin/vi).
- 2.10r.

* Thu Nov 29 2000 David BAUDENS <baudens@mandrakesoft.com> 2.10q-2mdk
- Fix build for PPC
- Fix %%doc

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10q-1mdk
- new and shiny version.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-6mdk
- Pamstackizification.

* Wed Sep 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.10o-5mdk
- added compat patch for ftp://nfs.sourceforge.net/pub/nfs.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-4mdk
- Fix info file installation.

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-3mdk
- Change license to GPL.

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-2mdk
- Move getopt examples to /usr/share/misc/
- Set some noreplace for config files.
- Correct licens to OpensSource.

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-1mdk
- 2.10o.

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10n-4mdk
- add elvtune (needed by recent kernels), blockdev, mkfs.bfs, agetty
- fix config files
- fix postun script

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.10n-3mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10n-2mdk
- Add install-info for ipc.

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10n-1mdk
- Correct URL.
- 2.10n.

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10m-1mdk
- Add %%{_mandir} to whereis.
- BM.
- Merge rh patches.
- 2.19m.

* Fri Jun 30 2000 Vincent Saugey <vince@mandrakesoft.com> 2.10h-6mdk
- Remove Requires: tcsh
- move exemple to doc

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-5mdk
- Remove Requires: kernel.

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2.10h-4mdk
- Really use RPM_OPT_FLAGS
- Use %%{_tmppath} for BuildRoot
- Comment empty %%ifarch
- Remove duplicate k6 

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 2.10h-3mdk
- ppc clock patch fix

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 2.10h-2mdk
- fix build (ugly)

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-1mdk
- 2.10h.
- Spec-helper cleanup.
- Adjust groups.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 2.10f-2mdk
- Added PPC support
- Added fix for PowerMac/G3/G4 clock

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10f-1mdk
- 2.10f.

* Wed Jan 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10e-1mdk
- Fix multiple files inclusion for alpha and sparc{,64}.
- 2.10e.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.10b-3mdk
- fixed build on sparc.

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- add rescuept in %%files

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.10b.

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.10.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix this fu**** %%files, references to a archeologic arch(again).

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix this fu**** %%files, references to a dinosaur arch.
- Merge with (Buggy) RH changes.
- 2.9z

* Tue Sep 28 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9y

* Mon Sep 13 1999 Francis Gali?gue <francis@mandrakesoft.com>
- Added file /etc/filesystems for i[3-6]86 archs with entry vfat,
  therefore obsoleting the need for modprobe vfat in rc.sysinit

* Sun Aug 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Insert rescuept.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.9w

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.9v

* Mon Jul 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9u
- Add french description from Thierry Vignaud <tvignaud@linux-mandrake.com>

* Fri Jul 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- update source url
- rebuild under cur env (13mdk)

* Mon Jul  5 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Update to 2.9t
- remove a series of patches - they finally made it to the base.

* Mon May 24 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- fix some %%ifarch bugs
- Update to 2.9r

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add vigr to the file lists.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- enable building mount
- fix handling of RPM_OPT_FLAGS

* Mon Mar 15 1999 Michael Johnson <johnsonm@redhat.com>
- added pam_console.so to /etc/pam.d/login

* Thu Feb  4 1999 Michael K. Johnson <johnsonm@redhat.com>
- .perms patch to login to make it retain root in parent process
  for pam_close_session to work correctly

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- strip fdisk in buildroot correctly (#718)

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- have fdisk compiled on sparc and arm

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added beos partition type to fdisk

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- incorporate fdisk on all arches

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- restore PAM functionality at end of login (Bug #201)

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm without PAM and related utilities, for now.
- build hwclock only on intel

* Wed Nov 18 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.9

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- patch kbdrate wackiness so it builds with egcs

* Tue Oct 13 1998 Erik Troan <ewt@redhat.com>
- patched more to use termcap

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- added warning about alpha/bsd label starting cylinder

* Mon Sep 21 1998 Erik Troan <ewt@redhat.com>
- use sigsetjmp/siglongjmp in more rather then sig'less versions

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- explicit attrs for setuid/setgid programs

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- sln is now included in glibc

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- add cbm1581 floppy definitions (problem #787)

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown/halt.

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- add mount/losetup.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8 with 2.8b clean up. hostid now defunct?

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- "more" now works properly on sparc

* Sat May 02 1998 Jeff Johnson <jbj@redhat.com>
- Fix "fdisk -l" fault on mounted cdrom. (prob #513)

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Mon Dec 29 1997 Erik Troan <ewt@redhat.com>
- more didn't suspend properly on glibc
- use proper tc*() calls rather then ioctl's

* Sun Dec 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed a security problem in chfn and chsh accepting too 
  long gecos fields

* Fri Dec 19 1997 Mike Wangsmo <wanger@redhat.com>
- removed "." from default path

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- added (again) the vipw patch

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- minor cleanups for glibc 2.1

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- added vfat32 filesystem type to list recognized by fdisk

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- don't build clock on the alpha 
- don't install chkdupexe

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Update to new pam standard.
- BuildRoot.

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>
- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>
- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.
